Subject: Re: [PATCH -rt DO NOT APPLY] Fix for tg3 networking lockup

From: Theodore Tso <[email-masked]>
Date: Thu, 3 Aug 2006 23:23:49 -0400

On Thu, Aug 03, 2006 at 04:28:19PM -0700, Michael Chan wrote:
> True.  But they also have ASF enabled which requires tg3_timer() to send
> the heartbeat periodically.  If the heartbeat is late, ASF may reset the
> chip believing that the system has crashed.

Parden me for asking a dumb question, but what's being accomplished by
resetting the chip if the system has crashed?  Why not reset the chip
when the system reboots and it sees the PCI bus reset?  I guess I'm
missing the purpose of the ASF heartbeat; why does the networking chip
need a chip-specific watchdog?

						- Ted